<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.jobs.personjob.mapper.PersonJobMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="personJobResultMap" type="org.springblade.jobs.personjob.entity.PersonJob">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="person" property="person"/>
        <result column="phone" property="phone"/>
        <result column="address" property="address"/>
        <result column="report_time" property="reportTime"/>
        <result column="handler" property="handler"/>
        <result column="handler_phone" property="handlerPhone"/>
        <result column="job_status" property="jobStatus"/>
        <result column="room_num" property="roomNum"/>
        <result column="job_content" property="jobContent"/>
        <result column="handle_time" property="handleTime"/>
        <result column="handle_result" property="handleResult"/>
        <result column="org_position" property="orgPosition"/>
    </resultMap>


    <select id="selectPersonJobPage" resultMap="personJobResultMap">
        select * from yc_person_job where is_deleted = 0
    </select>

    <select id="getUntreatedCount" resultType="java.lang.Integer">
        select COUNT(*) from yc_person_job where is_deleted = 0 AND job_status = 1
    </select>

</mapper>
